<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import {
  Hero,
  Categories,
  Badges,
  PricingTiers,
} from '../components/devsecops/index.vue';
import { PricingBanner } from '../components/pricing/index.vue';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  components: {
    Hero,
    Categories,
    Badges,
    PricingTiers,
    PricingBanner,
  },
  async asyncData({ $content, i18n }) {
    const locale = i18n.locale === i18n.defaultLocale ? '' : i18n.locale;
    const data = await $content(locale, 'devsecops').fetch();
    return { data };
  },
  data() {
    return {};
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).data, this.$route.path);
  },
});
</script>

<template>
  <div>
    <Hero v-bind="data.hero" />
    <Categories v-bind="data.categories_block" />
    <PricingBanner v-if="data.banner" :data="data.banner" />
    <Badges v-bind="data.badges" />
    <PricingTiers v-bind="data.pricing" />
  </div>
</template>
